ListChildrenAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.platform.monitor.visibility.ListChildrenAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.platform.monitor.visibility
Class ListChildrenAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.platform.monitor.visibility.ListChildrenAction

    public class ListChildrenAction

extends org.apache.struts.tiles.actions.TilesAction

Fetch the children resources for the platform

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ListChildrenAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected java.util.List` | `getChildHealthSummaries(javax.servlet.http.HttpServletRequest request, org.hyperic.hq.bizapp.shared.MeasurementBoss boss, int sessionId, AppdefEntityID entityId, boolean isInternal)` Returns a `List` of `ResourceTypeSummaryBean` objects representing health summaries of the child resources of the currently viewed resource.

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ListChildrenAction

    public ListChildrenAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                          org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

### getChildHealthSummaries

    protected java.util.List getChildHealthSummaries(javax.servlet.http.HttpServletRequest request,
                                                     org.hyperic.hq.bizapp.shared.MeasurementBoss boss,
                                                     int sessionId,
                                                     AppdefEntityID entityId,
                                                     boolean isInternal)
                                              throws PermissionException,
                                                     AppdefEntityNotFoundException,
                                                     java.rmi.RemoteException,
                                                     SessionNotFoundException,
                                                     SessionTimeoutException,
                                                     javax.servlet.ServletException

  Returns a `List` of `ResourceTypeSummaryBean` objects representing health summaries of the child resources of the currently viewed resource.

  Parameters:
    `request` - the current http request
    `boss` - the `MeasurementBoss` used to find metric data
    `sessionId` - the `int` representing the user's bizapp session
    `entityId` - an `AppdefEntityID` identifying the currently viewed resource
    `isInternal` - a boolean indicating whether we are asking for internal or deployed child resources
  Returns:
    List
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`
    `java.rmi.RemoteException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.